"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initialState = void 0;
const constants_1 = require("../../constants");
const utils_1 = require("../../utils");
const actions_1 = require("./actions");
exports.initialState = {
    quizRequestState: constants_1.RequestStates.Stale,
};
function apiReducer(state, action) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m;
    switch (action.type) {
        case actions_1.QuizAPIActionTypes.SET_IS_LOADING:
            return Object.assign(Object.assign({}, state), { quizRequestState: constants_1.RequestStates.Loading, quizCurrentQuestion: undefined, quizResults: undefined });
        case actions_1.QuizAPIActionTypes.SET_IS_ERROR:
            return Object.assign(Object.assign({}, state), { quizRequestState: constants_1.RequestStates.Error, quizCurrentQuestion: undefined, quizResults: undefined });
        case actions_1.QuizAPIActionTypes.SET_CURRENT_QUESTION: {
            const { isOpenQuestion, isCoverQuestion, isSingleQuestion, isMultipleQuestion, isSelectQuestion, } = (0, utils_1.getQuestionTypes)((_c = (_b = (_a = action.payload) === null || _a === void 0 ? void 0 : _a.quizCurrentQuestion) === null || _b === void 0 ? void 0 : _b.next_question) === null || _c === void 0 ? void 0 : _c.type);
            const quizFirstQuestion = state.quizFirstQuestion || ((_d = action.payload) === null || _d === void 0 ? void 0 : _d.quizCurrentQuestion);
            return Object.assign(Object.assign({}, state), { quizRequestState: constants_1.RequestStates.Success, quizCurrentQuestion: Object.assign(Object.assign({}, (_e = action.payload) === null || _e === void 0 ? void 0 : _e.quizCurrentQuestion), { isFirstQuestion: (quizFirstQuestion === null || quizFirstQuestion === void 0 ? void 0 : quizFirstQuestion.next_question.id) ===
                        ((_h = (_g = (_f = action.payload) === null || _f === void 0 ? void 0 : _f.quizCurrentQuestion) === null || _g === void 0 ? void 0 : _g.next_question) === null || _h === void 0 ? void 0 : _h.id), isOpenQuestion,
                    isCoverQuestion,
                    isSingleQuestion,
                    isMultipleQuestion,
                    isSelectQuestion }), quizFirstQuestion, quizResults: undefined });
        }
        case actions_1.QuizAPIActionTypes.SET_QUIZ_RESULTS: {
            const filterExpression = ((_l = (_k = (_j = action.payload) === null || _j === void 0 ? void 0 : _j.quizResults) === null || _k === void 0 ? void 0 : _k.request) === null || _l === void 0 ? void 0 : _l.collection_filter_expression) || null;
            const quizResultsFilters = [...new Set((0, utils_1.getFilterValuesFromExpression)(filterExpression))];
            return Object.assign(Object.assign({}, state), { quizRequestState: constants_1.RequestStates.Success, quizResults: (_m = action.payload) === null || _m === void 0 ? void 0 : _m.quizResults, quizResultsFilters, quizCurrentQuestion: undefined });
        }
        case actions_1.QuizAPIActionTypes.RESET_QUIZ:
            return exports.initialState;
        default:
            return state;
    }
}
exports.default = apiReducer;
