"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const QuestionTitle_1 = tslib_1.__importDefault(require("../QuestionTitle/QuestionTitle"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
const QuestionDescription_1 = tslib_1.__importDefault(require("../QuestionDescription/QuestionDescription"));
const utils_1 = require("../../utils");
const ControlBar_1 = tslib_1.__importDefault(require("../ControlBar/ControlBar"));
function CoverTypeQuestion() {
    var _a;
    const { state } = (0, react_1.useContext)(context_1.default);
    let question;
    if (state === null || state === void 0 ? void 0 : state.quiz.currentQuestion) {
        question = state === null || state === void 0 ? void 0 : state.quiz.currentQuestion.next_question;
    }
    const hasImage = (_a = question === null || question === void 0 ? void 0 : question.images) === null || _a === void 0 ? void 0 : _a.primary_url;
    if (question) {
        return (react_1.default.createElement("div", { className: `
        cio-container${hasImage ? '--with-image' : ''}
        cio-cover-question-container${hasImage ? '--with-image' : ''}
      `, "data-question-key": question.key },
            hasImage ? (0, utils_1.renderImages)(question.images, 'cio-question-image-container') : '',
            react_1.default.createElement("div", { className: 'cio-question-content' },
                react_1.default.createElement(QuestionTitle_1.default, { title: question === null || question === void 0 ? void 0 : question.title }),
                react_1.default.createElement(QuestionDescription_1.default, { description: question.description }),
                react_1.default.createElement(ControlBar_1.default, { ctaButtonText: question === null || question === void 0 ? void 0 : question.cta_text }))));
    }
    return null;
}
exports.default = CoverTypeQuestion;
