"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const QuestionTitle_1 = tslib_1.__importDefault(require("../QuestionTitle/QuestionTitle"));
const QuestionDescription_1 = tslib_1.__importDefault(require("../QuestionDescription/QuestionDescription"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
const utils_1 = require("../../utils");
const ControlBar_1 = tslib_1.__importDefault(require("../ControlBar/ControlBar"));
const actions_1 = require("../CioQuiz/actions");
function SelectTypeQuestion() {
    var _a;
    const { state, getSelectInputProps } = (0, react_1.useContext)(context_1.default);
    let question;
    let hasImages = false;
    let instructions;
    if (state === null || state === void 0 ? void 0 : state.quiz.currentQuestion) {
        question = state.quiz.currentQuestion.next_question;
        hasImages = question.options.some((option) => option.images);
        instructions = question.type === actions_1.QuestionTypes.MultipleSelect && 'Select one or more options';
    }
    if (question) {
        return (react_1.default.createElement("div", { className: 'cio-select-question-container', "data-question-key": question.key },
            react_1.default.createElement("div", { className: 'cio-select-question-text' },
                react_1.default.createElement(QuestionTitle_1.default, { title: question.title }),
                (question === null || question === void 0 ? void 0 : question.description) ? react_1.default.createElement(QuestionDescription_1.default, { description: question.description }) : ''),
            instructions && react_1.default.createElement("div", { className: 'cio-select-question-instructions' }, instructions),
            react_1.default.createElement("div", { className: `${!hasImages
                    ? 'cio-question-options-container-text-only'
                    : 'cio-question-options-container'}` }, (_a = question === null || question === void 0 ? void 0 : question.options) === null || _a === void 0 ? void 0 : _a.map((option) => getSelectInputProps && (react_1.default.createElement("div", Object.assign({}, getSelectInputProps(option)),
                option.images ? (0, utils_1.renderImages)(option.images, 'cio-question-option-image') : '',
                react_1.default.createElement("div", { className: 'cio-question-option-value' }, option === null || option === void 0 ? void 0 : option.value))))),
            react_1.default.createElement(ControlBar_1.default, { ctaButtonText: (question === null || question === void 0 ? void 0 : question.cta_text) || 'Continue' })));
    }
    return null;
}
exports.default = SelectTypeQuestion;
