"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function usePreviousQuestionButtonProps(quizApiState, previousQuestion) {
    const getPreviousQuestionButtonProps = (0, react_1.useCallback)(() => {
        var _a;
        const buttonDisabled = (_a = quizApiState.quizCurrentQuestion) === null || _a === void 0 ? void 0 : _a.isFirstQuestion;
        return {
            title: 'Quiz Back Button',
            role: 'button',
            className: `cio-question-back-button ${buttonDisabled ? 'disabled' : ''}`,
            type: 'button',
            onClick: () => previousQuestion(),
        };
    }, [quizApiState, previousQuestion]);
    return getPreviousQuestionButtonProps;
}
exports.default = usePreviousQuestionButtonProps;
