"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const utils_1 = require("../../utils");
const useHydrateQuizLocalState = (quizStateKey, dispatchLocalState) => {
    const quizState = (0, utils_1.getStateFromSessionStorage)(quizStateKey);
    const hydrateQuizLocalStateHandler = (0, react_1.useCallback)(() => {
        if (quizState) {
            dispatchLocalState({
                type: actions_1.QuestionTypes.Hydrate,
                payload: quizState,
            });
        }
    }, [dispatchLocalState, quizState]);
    return hydrateQuizLocalStateHandler;
};
exports.default = useHydrateQuizLocalState;
