"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const utils_1 = require("../../utils");
const useQuizResetClick = (quizStateKey, dispatchLocalState, dispatchApiState, quizResults) => {
    const quizResetClickHandler = (0, react_1.useCallback)(() => {
        if (quizResults) {
            dispatchLocalState({
                type: actions_1.QuestionTypes.Reset,
            });
            dispatchApiState({
                type: actions_1.QuizAPIActionTypes.RESET_QUIZ,
            });
            (0, utils_1.resetQuizSessionStorageState)(quizStateKey);
        }
    }, [dispatchLocalState, dispatchApiState, quizStateKey, quizResults]);
    return quizResetClickHandler;
};
exports.default = useQuizResetClick;
