"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMockContextValue = exports.getMockState = exports.questionOptions = exports.questionOptionsWithImages = exports.getMockQuestionWithImage = exports.getMockQuestion = void 0;
const tslib_1 = require("tslib");
const constants_1 = require("../../../constants");
const useOpenTextInputProps_1 = tslib_1.__importDefault(require("../../../hooks/usePropsGetters/useOpenTextInputProps"));
const useCoverQuestionProps_1 = tslib_1.__importDefault(require("../../../hooks/usePropsGetters/useCoverQuestionProps"));
const useSelectInputProps_1 = tslib_1.__importDefault(require("../../../hooks/usePropsGetters/useSelectInputProps"));
const getMockQuestion = (type) => ({
    id: 1,
    title: 'This is question title',
    description: 'This is question description',
    cta_text: 'Continue',
    type,
    input_placeholder: 'Answer here...',
});
exports.getMockQuestion = getMockQuestion;
const getMockImages = () => ({
    images: {
        primary_url: 'https://demo.constructor.io/sandbox_files/farmstandquizassets/HiThereNameInput.png',
    },
});
const getMockQuestionWithImage = (type) => (Object.assign(Object.assign({}, (0, exports.getMockQuestion)(type)), getMockImages()));
exports.getMockQuestionWithImage = getMockQuestionWithImage;
const getMockOption = (id, value) => ({
    id,
    value,
    attribute: {
        name: value,
        value,
    },
});
const getMockOptionWithImage = (id, value) => (Object.assign(Object.assign({}, getMockOption(id, value)), getMockImages()));
exports.questionOptionsWithImages = [
    Object.assign({}, getMockOptionWithImage(0, 'coffee')),
    Object.assign({}, getMockOptionWithImage(1, 'tea')),
    Object.assign({}, getMockOptionWithImage(2, 'water')),
];
exports.questionOptions = [
    Object.assign({}, getMockOption(0, 'coffee')),
    Object.assign({}, getMockOption(1, 'tea')),
    Object.assign({}, getMockOption(2, 'water')),
];
const getMockState = (question) => ({
    answers: {
        inputs: {
            1: {
                type: question === null || question === void 0 ? void 0 : question.type,
                value: '',
            },
        },
        isLastAnswer: false,
    },
    quiz: {
        requestState: constants_1.RequestStates.Success,
        versionId: '',
        sessionId: '',
        currentQuestion: {
            next_question: question,
            isFirstQuestion: false,
            isOpenQuestion: (question === null || question === void 0 ? void 0 : question.type) === 'open',
            isCoverQuestion: (question === null || question === void 0 ? void 0 : question.type) === 'cover',
            isSingleQuestion: (question === null || question === void 0 ? void 0 : question.type) === 'single',
            isMultipleQuestion: (question === null || question === void 0 ? void 0 : question.type) === 'multiple',
            isSelectQuestion: (question === null || question === void 0 ? void 0 : question.type) === 'single',
        },
        results: {
            response: {
                results: [
                    {
                        value: 'This is a result card item',
                        data: {
                            id: '0',
                            price: 100,
                            image_url: 'https://demo.constructor.io/sandbox_files/farmstandquizassets/HiThereNameInput.png',
                        },
                    },
                    {
                        value: 'This is a result card item',
                        data: {
                            id: '1',
                            price: 200,
                            salePrice: 150,
                            image_url: 'https://demo.constructor.io/sandbox_files/farmstandquizassets/HiThereNameInput.png',
                        },
                    },
                    {
                        value: 'This is a result card item',
                        data: {
                            id: '2',
                            price: 300,
                            salePrice: 250,
                            image_url: 'https://demo.constructor.io/sandbox_files/farmstandquizassets/HiThereNameInput.png',
                        },
                    },
                ],
                facets: [],
                groups: [],
                sort_options: [],
                refined_content: [],
                total_num_results: 10,
                features: [],
                result_sources: {},
            },
            quiz_id: '',
            quiz_session_id: '',
            quiz_version_id: '',
        },
        resultsFilters: ['Chocolate', 'Medium'],
    },
});
exports.getMockState = getMockState;
const mockElementProps = {
    className: '',
    type: 'submit',
    onClick: () => { },
    onChange: () => { },
    onKeyDown: () => { },
    role: 'button',
    tabIndex: 0,
    key: 0,
    style: {},
    placeholder: '',
    value: '',
};
const useMockContextValue = (question) => {
    const getOpenTextInputProps = (0, useOpenTextInputProps_1.default)(() => { }, () => { }, question);
    const getCoverQuestionProps = (0, useCoverQuestionProps_1.default)(() => { }, question);
    const getSelectInputProps = (0, useSelectInputProps_1.default)(() => { }, () => { }, question);
    return {
        state: (0, exports.getMockState)(question),
        getCoverQuestionProps,
        getOpenTextInputProps,
        getSelectInputProps,
        getAddToCartButtonProps: () => (Object.assign(Object.assign({}, mockElementProps), { className: 'cio-question-cta-button' })),
        getHydrateQuizButtonProps: () => (Object.assign(Object.assign({}, mockElementProps), { className: 'cio-question-cta-button' })),
        getNextQuestionButtonProps: () => (Object.assign(Object.assign({}, mockElementProps), { className: 'cio-question-cta-button' })),
        getPreviousQuestionButtonProps: () => (Object.assign(Object.assign({}, mockElementProps), { className: 'cio-question-back-button' })),
        getQuizImageProps: () => mockElementProps,
        getQuizResultButtonProps: () => mockElementProps,
        getQuizResultLinkProps: () => mockElementProps,
        getResetQuizButtonProps: () => (Object.assign(Object.assign({}, mockElementProps), { className: 'cio-question-redo-button' })),
        primaryColorStyles: {
            '--primary-color-h': '12',
            '--primary-color-s': '14',
            '--primary-color-l': '14',
        },
        customClickItemCallback: false,
    };
};
exports.useMockContextValue = useMockContextValue;
