import { useCallback } from 'react';
import { QuestionTypes } from '../../components/CioQuiz/actions';
const useQuizNextClick = (quizApiState, quizLocalState, dispatchLocalState) => {
    const quizNexClickHandler = useCallback(() => {
        const currentQuestion = quizApiState.quizCurrentQuestion?.next_question;
        const currentQuestionId = currentQuestion?.id;
        if (dispatchLocalState && currentQuestionId) {
            const currentAnswerInput = quizLocalState.answerInputs[currentQuestionId];
            if (currentAnswerInput?.value?.length || currentQuestion?.type === 'cover') {
                dispatchLocalState({
                    type: QuestionTypes.Next,
                    payload: quizApiState.quizCurrentQuestion,
                });
            }
        }
    }, [dispatchLocalState, quizApiState.quizCurrentQuestion, quizLocalState.answerInputs]);
    return quizNexClickHandler;
};
export default useQuizNextClick;
