import useQuizApiState from './useQuizApiState';
import useQuizLocalState from './useQuizLocalState';
const useQuizState = (quizOptions, cioClient) => {
    const { sessionStateOptions } = quizOptions;
    // Quiz Local state
    const { quizLocalState, dispatchLocalState, hasQuizStoredState, quizStateKey } = useQuizLocalState(sessionStateOptions?.sessionStateKey);
    // Quiz API state
    const { quizApiState, dispatchApiState } = useQuizApiState(quizOptions, cioClient, quizLocalState, dispatchLocalState);
    return {
        quizApiState,
        quizLocalState,
        dispatchApiState,
        dispatchLocalState,
        hasQuizStoredState,
        quizStateKey,
    };
};
export default useQuizState;
